Bug 1186849 - JDG650.NearCaching.HotRod.Java
Summary: JDG650.NearCaching.HotRod.Java
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: 6.5.0
Assignee: Tristan Tarrant
QA Contact: Vojtech Juranek
URL:
Whiteboard:
Depends On:
Blocks: 1186882
TreeView+ depends on / blocked
 
Reported: 2015-01-28 17:10 UTC by Pedro Zapata
Modified: 2015-06-23 12:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-23 12:24:23 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-1342 0 Major Resolved Support for Near-Cache Pattern 2015-05-06 23:08:09 UTC

Description Pedro Zapata 2015-01-28 17:10:37 UTC
Requirement:

As a Java application developer:

a) I want to cache entries locally, on the same same server as my application, for faster look-up.
b) For consistency, I want the local copy of an entry to get invalidated (and revised) when the corresponding entry in the remote cache gets inserted, updated, deleted, or expired.
c) I want to enable or disable near-caching without having to change the code of my Hot Rod client application. Near caching should be managed via configuration, enabling and disabling it should not necessitate a code change.
 
Notes:
- Should not ask the developer to use Library mode APIs to get near caching functionality. The same Hot Rod client code should work as is.)

Priority:   P1
Status:     Committed
Originator: Product Management
Responsible team: Infinispan Engineering Team

Attachments:
https://github.com/infinispan/infinispan/wiki/Near-Caching
Interdependencies:

Comment 1 Sebastian Łaskawiec 2015-02-06 07:01:48 UTC
PR: https://github.com/infinispan/jdg/pull/484

Comment 2 Vojtech Juranek 2015-03-02 13:34:45 UTC
Feature present in DR2 and seems to work fine, more detail and perf. testing will follow (and eventually separate BZs for found issues will be created).


Note You need to log in before you can comment on or make changes to this bug.